﻿#Region "Copyright Syncfusion Inc. 2001-2019."
' Copyright Syncfusion Inc. 2001-2019. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports Syncfusion.WinForms.Controls
Imports Syncfusion.Windows.Forms
Imports System.IO
Imports Syncfusion.Windows.Forms.Edit.Interfaces
Imports Syncfusion.Windows.Forms.Tools.XPMenus
Imports Syncfusion.Windows.Forms.Edit.Implementation.Config
Imports Syncfusion.Windows.Forms.Edit.Enums

Namespace CustomConfiguration_2015
	Partial Public Class Form1
		Inherits SfForm

		Private configPath As String = Path.GetDirectoryName(Application.ExecutablePath) & "\..\..\config.xml"
		Public Sub New()
			InitializeComponent()
			Customization()
		End Sub




		Public Sub Customization()
			Me.editControl1.Configurator.Open(configPath)
            Me.editControl1.LoadFile(Path.GetDirectoryName(Application.ExecutablePath) & "\..\..\Test Files\Content.PLC")
            editControl1.ApplyConfiguration("PROTAN")
			Dim currentConfigLanguage As IConfigLanguage = Me.editControl1.Configurator.CreateLanguageConfiguration("PROTON")
			Me.editControl1.ApplyConfiguration(currentConfigLanguage)
			Dim formatMethod As ISnippetFormat = Me.editControl1.Language.Add("CodeBehind")
			formatMethod.Font = New Font("Garamond", 12)
			formatMethod.BackColor = Color.Green
			Dim own_lexem As New ConfigLexem("Graphic", "", FormatType.Custom, False)
			own_lexem.FormatName = "CodeBehind"
			Me.editControl1.Language.Lexems.Add(own_lexem)
			Me.editControl1.Language.ResetCaches()

			Me.editControl1.Language.Lexems.Remove(own_lexem)
		End Sub

	End Class
End Namespace
